|
|
Power Inductors - Leaded 33uH Shld 20% 24A 2.95mOhms
- AGP4233-333ME
- Coilcraft
-
1:
$18.83
-
259In Stock
-
1,377Expected 2026/11/12
|
Mouser Part No
994-AGP4233-333ME
|
Coilcraft
|
Power Inductors - Leaded 33uH Shld 20% 24A 2.95mOhms
|
|
259In Stock
1,377Expected 2026/11/12
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
35.8 mm x 28 mm x 39.3 mm
|
Shielded
|
33 uH
|
20 %
|
34 A
|
2.95 mOhms
|
25.8 A
|
- 40 C
|
+ 125 C
|
10 MHz
|
Standard
|
PCB Mount
|
39.3 mm
|
35.8 mm
|
28 mm
|
|
Ferrite
|
|
AGP4233
|
Tray
|
|
|
|
Power Inductors - Leaded 10uH Shld 10% 26A 2.6mOhms AECQ2
- AGP2923-103KL
- Coilcraft
-
1:
$9.55
-
721In Stock
|
Mouser Part No
994-AGP2923-103KL
|
Coilcraft
|
Power Inductors - Leaded 10uH Shld 10% 26A 2.6mOhms AECQ2
|
|
721In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
16.97 mm x 23.24 mm x 26.92 mm
|
Shielded
|
10 uH
|
10 %
|
26 A
|
2.6 mOhms
|
37 A
|
- 40 C
|
+ 140 C
|
20 MHz
|
Standard
|
PCB Mount
|
26.92 mm
|
16.97 mm
|
23.24 mm
|
|
Ferrite
|
AEC-Q200
|
AGP2923
|
Tray
|
|
|
|
Power Inductors - Leaded 33uH Shld 10% 26A 2.6mOhms AECQ2
- AGP2923-333KL
- Coilcraft
-
1:
$8.40
-
1,121In Stock
-
1,425Expected 2026/11/12
|
Mouser Part No
994-AGP2923-333KL
|
Coilcraft
|
Power Inductors - Leaded 33uH Shld 10% 26A 2.6mOhms AECQ2
|
|
1,121In Stock
1,425Expected 2026/11/12
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
16.97 mm x 23.24 mm x 26.92 mm
|
Shielded
|
33 uH
|
10 %
|
26 A
|
2.6 mOhms
|
10.3 A
|
- 40 C
|
+ 140 C
|
10 MHz
|
Standard
|
PCB Mount
|
26.92 mm
|
16.97 mm
|
23.24 mm
|
|
Ferrite
|
AEC-Q200
|
AGP2923
|
Tray
|
|
|
|
Power Inductors - Leaded 15uH Shld 10% 26A 2.6mOhms AECQ2
- AGP2923-153KL
- Coilcraft
-
1:
$8.40
-
1,307In Stock
-
2,750On Order
|
Mouser Part No
994-AGP2923-153KL
|
Coilcraft
|
Power Inductors - Leaded 15uH Shld 10% 26A 2.6mOhms AECQ2
|
|
1,307In Stock
2,750On Order
Stock:
1,307 Can Dispatch Immediately
On Order:
1,200 Expected 2027/01/04
1,550 Expected 2027/01/22
Factory Lead Time:
16 Weeks
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
16.97 mm x 23.24 mm x 26.92 mm
|
Shielded
|
15 uH
|
10 %
|
26 A
|
2.6 mOhms
|
24.5 A
|
- 40 C
|
+ 140 C
|
16 MHz
|
Standard
|
PCB Mount
|
26.92 mm
|
16.97 mm
|
23.24 mm
|
|
Ferrite
|
AEC-Q200
|
AGP2923
|
Tray
|
|
|
|
Power Inductors - Leaded 6.8uH Shld 20% 24A 2.95mOhms
- AGP4233-682ME
- Coilcraft
-
1:
$18.83
-
227In Stock
|
Mouser Part No
994-AGP4233-682ME
|
Coilcraft
|
Power Inductors - Leaded 6.8uH Shld 20% 24A 2.95mOhms
|
|
227In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Power Choke
|
Radial
|
35.8 mm x 28 mm x 39.3 mm
|
Shielded
|
6.8 uH
|
20 %
|
34 A
|
2.95 mOhms
|
101.8 A
|
- 40 C
|
+ 125 C
|
21.7 MHz
|
Standard
|
PCB Mount
|
39.3 mm
|
35.8 mm
|
28 mm
|
|
Ferrite
|
|
AGP4233
|
Tray
|
|
|
|
Power Inductors - Leaded 33uH UnShld 10% 3.6A 75mOhms AECQ2
- RFB0810-330L
- Coilcraft
-
1:
$1.71
-
69In Stock
|
Mouser Part No
994-RFB0810-330L
|
Coilcraft
|
Power Inductors - Leaded 33uH UnShld 10% 3.6A 75mOhms AECQ2
|
|
69In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Power Choke
|
Radial
|
9.5 mm x 11.5 mm
|
Unshielded
|
33 uH
|
10 %
|
3.6 A
|
75 mOhms
|
2.4 A
|
- 40 C
|
+ 85 C
|
11 MHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
9.5 mm
|
Ferrite
|
AEC-Q200
|
RFB
|
Tray
|
|
|
|
Power Inductors - Leaded 39uH UnShld 10% 3.3A 85mOhms AECQ2
- RFB0810-390L
- Coilcraft
-
1:
$1.71
-
120In Stock
|
Mouser Part No
994-RFB0810-390L
|
Coilcraft
|
Power Inductors - Leaded 39uH UnShld 10% 3.3A 85mOhms AECQ2
|
|
120In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Power Choke
|
Radial
|
9.5 mm x 11.5 mm
|
Unshielded
|
39 uH
|
10 %
|
3.3 A
|
85 mOhms
|
2.2 A
|
- 40 C
|
+ 85 C
|
10.3 MHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
9.5 mm
|
Ferrite
|
AEC-Q200
|
RFB
|
Tray
|
|
|
|
Power Inductors - Leaded 680uH UnShld 10% 0.7A 1.4ohms AECQ2
- RFB1010-681L
- Coilcraft
-
1:
$1.55
-
37In Stock
-
150Expected 2027/02/05
|
Mouser Part No
994-RFB1010-681L
|
Coilcraft
|
Power Inductors - Leaded 680uH UnShld 10% 0.7A 1.4ohms AECQ2
|
|
37In Stock
150Expected 2027/02/05
|
|
Min.: 1
Mult.: 1
|
|
|
|
Radial
|
11 mm x 11.5 mm
|
Unshielded
|
680 uH
|
10 %
|
930 mA
|
1.2 Ohms
|
750 mA
|
- 40 C
|
+ 85 C
|
2 MHz
|
Standard
|
PCB Mount
|
|
|
11.5 mm
|
11 mm
|
Ferrite
|
AEC-Q200
|
RFB
|
Tray
|
|
|
|
Power Inductors - Leaded 270uH UnShld 10% 800mA 805mOhms
- RFC0807B-274KE
- Coilcraft
-
1:
$1.09
-
66In Stock
|
Mouser Part No
994-RFC0807B-274KE
|
Coilcraft
|
Power Inductors - Leaded 270uH UnShld 10% 800mA 805mOhms
|
|
66In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
8.8 mm x 7.5 mm
|
Unshielded
|
270 uH
|
10 %
|
800 mA
|
805 mOhms
|
1.43 A
|
- 40 C
|
+ 85 C
|
3.6 MHz
|
Standard
|
PCB Mount
|
7.5 mm
|
|
|
8.8 mm
|
Ferrite
|
|
RFC0807
|
Tray
|
|
|
|
Power Inductors - Leaded 2.7 mH UnShld 10% 410mA 4.2ohms
- RFC1010B-275KE
- Coilcraft
-
1:
$1.52
-
7In Stock
|
Mouser Part No
994-RFC1010B-275KE
|
Coilcraft
|
Power Inductors - Leaded 2.7 mH UnShld 10% 410mA 4.2ohms
|
|
7In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
11 mm x 11.5 mm
|
Unshielded
|
2.7 mH
|
10 %
|
410 mA
|
4.2 Ohms
|
630 mA
|
- 40 C
|
+ 85 C
|
820 kHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
11 mm
|
Ferrite
|
|
RFC1010
|
Tray
|
|
|
|
Power Inductors - Leaded 3.3uH UnShld 20% 5.97A 17mOhms AECQ2
- RFB0807-3R3L
- Coilcraft
-
1:
$1.34
-
145In Stock
|
Mouser Part No
994-RFB0807-3R3L
|
Coilcraft
|
Power Inductors - Leaded 3.3uH UnShld 20% 5.97A 17mOhms AECQ2
|
|
145In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Power Choke
|
Radial
|
8.8 mm x 7.5 mm
|
Unshielded
|
3.3 uH
|
20 %
|
5.97 A
|
17 mOhms
|
5 A
|
- 40 C
|
+ 85 C
|
40 MHz
|
Standard
|
PCB Mount
|
7.5 mm
|
|
|
8.8 mm
|
Ferrite
|
AEC-Q200
|
RFB
|
Tray
|
|
|
|
Power Inductors - Leaded 10uH UnShld 10% 5.3A 30mOhms AECQ2
- RFB0810-100L
- Coilcraft
-
1:
$1.71
-
150In Stock
|
Mouser Part No
994-RFB0810-100L
|
Coilcraft
|
Power Inductors - Leaded 10uH UnShld 10% 5.3A 30mOhms AECQ2
|
|
150In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Power Choke
|
Radial
|
9.5 mm x 11.5 mm
|
Unshielded
|
10 uH
|
10 %
|
5.3 A
|
30 mOhms
|
4.2 A
|
- 40 C
|
+ 85 C
|
22 MHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
9.5 mm
|
Ferrite
|
AEC-Q200
|
RFB
|
Tray
|
|
|
|
Power Inductors - Leaded 100uH UnShld 10% 1.8A 200mOhms AECQ2
- RFB0810-101L
- Coilcraft
-
1:
$1.71
-
549In Stock
|
Mouser Part No
994-RFB0810-101L
|
Coilcraft
|
Power Inductors - Leaded 100uH UnShld 10% 1.8A 200mOhms AECQ2
|
|
549In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Power Choke
|
Radial
|
9.5 mm x 11.5 mm
|
Unshielded
|
100 uH
|
10 %
|
1.8 A
|
200 mOhms
|
1.4 A
|
- 40 C
|
+ 85 C
|
5.5 MHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
9.5 mm
|
Ferrite
|
AEC-Q200
|
RFB
|
Tray
|
|
|
|
Power Inductors - Leaded 1.2 mH UnShld 10% 0.47A 2.8ohms AECQ2
- RFB0810-122L
- Coilcraft
-
1:
$1.71
-
62In Stock
|
Mouser Part No
994-RFB0810-122L
|
Coilcraft
|
Power Inductors - Leaded 1.2 mH UnShld 10% 0.47A 2.8ohms AECQ2
|
|
62In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Power Choke
|
Radial
|
9.5 mm x 11.5 mm
|
Unshielded
|
1.2 mH
|
10 %
|
470 mA
|
2.8 Ohms
|
400 mA
|
- 40 C
|
+ 85 C
|
1.6 MHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
9.5 mm
|
Ferrite
|
AEC-Q200
|
RFB
|
Tray
|
|
|
|
Power Inductors - Leaded 820uH UnShld 10% 0.6A 1.9ohms AECQ2
- RFB0810-821L
- Coilcraft
-
1:
$1.71
-
5In Stock
|
Mouser Part No
994-RFB0810-821L
|
Coilcraft
|
Power Inductors - Leaded 820uH UnShld 10% 0.6A 1.9ohms AECQ2
|
|
5In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Power Choke
|
Radial
|
9.5 mm x 11.5 mm
|
Unshielded
|
820 uH
|
10 %
|
600 mA
|
1.9 Ohms
|
480 mA
|
- 40 C
|
+ 85 C
|
2 MHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
9.5 mm
|
Ferrite
|
AEC-Q200
|
RFB
|
Tray
|
|
|
|
Power Inductors - Leaded 100uH UnShld 10% 1.8A 200mOhms AECQ2
- RFB1010-101L
- Coilcraft
-
1:
$1.55
-
232In Stock
|
Mouser Part No
994-RFB1010-101L
|
Coilcraft
|
Power Inductors - Leaded 100uH UnShld 10% 1.8A 200mOhms AECQ2
|
|
232In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Power Choke
|
Radial
|
11 mm x 11.5 mm
|
Unshielded
|
100 uH
|
10 %
|
2.2 A
|
150 mOhms
|
1.9 A
|
- 40 C
|
+ 85 C
|
7 MHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
11 mm
|
Ferrite
|
AEC-Q200
|
RFB
|
Tray
|
|
|
|
Power Inductors - Leaded 330uH UnShld 10% 720mA 1.05ohms
- RFC0807B-334KE
- Coilcraft
-
1:
$1.09
-
241In Stock
|
Mouser Part No
994-RFC0807B-334KE
|
Coilcraft
|
Power Inductors - Leaded 330uH UnShld 10% 720mA 1.05ohms
|
|
241In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
8.8 mm x 7.5 mm
|
Unshielded
|
330 uH
|
10 %
|
720 mA
|
1.05 Ohms
|
1.3 A
|
- 40 C
|
+ 85 C
|
3.4 MHz
|
Standard
|
PCB Mount
|
7.5 mm
|
|
|
8.8 mm
|
Ferrite
|
|
RFC0807
|
Tray
|
|
|
|
Power Inductors - Leaded 10 mH UnShld 10% 170mA 19.5ohms
- RFC0810B-106KE
- Coilcraft
-
1:
$1.54
-
186In Stock
|
Mouser Part No
994-RFC0810B-106KE
|
Coilcraft
|
Power Inductors - Leaded 10 mH UnShld 10% 170mA 19.5ohms
|
|
186In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
9.5 mm x 11.5 mm
|
Unshielded
|
10 mH
|
10 %
|
170 mA
|
19.5 Ohms
|
250 mA
|
- 40 C
|
+ 85 C
|
450 kHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
9.5 mm
|
Ferrite
|
|
RFC0810
|
Tray
|
|
|
|
Power Inductors - Leaded 680uH UnShld 10% 780mA 1.11ohms
- RFC1010B-684KE
- Coilcraft
-
1:
$1.52
-
100In Stock
|
Mouser Part No
994-RFC1010B-684KE
|
Coilcraft
|
Power Inductors - Leaded 680uH UnShld 10% 780mA 1.11ohms
|
|
100In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
11 mm x 11.5 mm
|
Unshielded
|
680 uH
|
10 %
|
780 mA
|
1.11 Ohms
|
1.26 A
|
- 40 C
|
+ 85 C
|
1.7 MHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
11 mm
|
Ferrite
|
|
RFC1010
|
Tray
|
|
|
|
Power Inductors - Leaded 2.2 mH UnShld 10% 0.39A 4.8ohms AECQ2
- RFB0810-222L
- Coilcraft
-
1:
$1.71
-
371In Stock
|
Mouser Part No
994-RFB0810-222L
|
Coilcraft
|
Power Inductors - Leaded 2.2 mH UnShld 10% 0.39A 4.8ohms AECQ2
|
|
371In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Power Choke
|
Radial
|
9.5 mm x 11.5 mm
|
Unshielded
|
2.2 mH
|
10 %
|
390 mA
|
4.8 Ohms
|
290 mA
|
- 40 C
|
+ 85 C
|
1.3 MHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
9.5 mm
|
Ferrite
|
AEC-Q200
|
RFB
|
Tray
|
|
|
|
Power Inductors - Leaded 2.2 mH UnShld 10% 470mA 3.2ohms
- RFC1010B-225KE
- Coilcraft
-
1:
$1.52
-
419In Stock
|
Mouser Part No
994-RFC1010B-225KE
|
Coilcraft
|
Power Inductors - Leaded 2.2 mH UnShld 10% 470mA 3.2ohms
|
|
419In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
11 mm x 11.5 mm
|
Unshielded
|
2.2 mH
|
10 %
|
470 mA
|
3.2 Ohms
|
700 mA
|
- 40 C
|
+ 85 C
|
990 kHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
11 mm
|
Ferrite
|
|
RFC1010
|
Tray
|
|
|
|
Power Inductors - Leaded 560uH UnShld 10% 920mA 805mOhms
- RFC1010B-564KE
- Coilcraft
-
1:
$1.52
-
171In Stock
|
Mouser Part No
994-RFC1010B-564KE
|
Coilcraft
|
Power Inductors - Leaded 560uH UnShld 10% 920mA 805mOhms
|
|
171In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
11 mm x 11.5 mm
|
Unshielded
|
560 uH
|
10 %
|
920 mA
|
805 mOhms
|
1.42 A
|
- 40 C
|
+ 85 C
|
1.9 MHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
11 mm
|
Ferrite
|
|
RFC1010
|
Tray
|
|
|
|
Power Inductors - Leaded 100uH Unshld 10% 1.87A 220mOhms AECQ2
- DC1012-104L
- Coilcraft
-
1:
$1.97
-
50In Stock
|
Mouser Part No
994-DC1012-104L
|
Coilcraft
|
Power Inductors - Leaded 100uH Unshld 10% 1.87A 220mOhms AECQ2
|
|
50In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
10 mm x 15.2 mm
|
Unshielded
|
100 uH
|
10 %
|
1.5 A
|
220 mOhms
|
1.87 A
|
- 40 C
|
+ 85 C
|
5.5 MHz
|
Standard
|
PCB Mount
|
15.2 mm
|
|
|
10 mm
|
|
AEC-Q200
|
DC1012
|
Tray
|
|
|
|
Power Inductors - Leaded 180uH UnShld 10% 1.5A 360mOhms AECQ2
- RFB0810-181L
- Coilcraft
-
1:
$1.71
-
66In Stock
|
Mouser Part No
994-RFB0810-181L
|
Coilcraft
|
Power Inductors - Leaded 180uH UnShld 10% 1.5A 360mOhms AECQ2
|
|
66In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
9.5 mm x 11.5 mm
|
Unshielded
|
180 uH
|
10 %
|
1.5 A
|
360 mOhms
|
1 A
|
- 40 C
|
+ 85 C
|
4.4 MHz
|
Standard
|
PCB Mount
|
11.5 mm
|
|
|
9.5 mm
|
Ferrite
|
AEC-Q200
|
RFB
|
Tray
|
|
|
|
Power Inductors - Leaded 2.7 mH UnShld 10% 240mA 8ohms
- RFC0807B-275KE
- Coilcraft
-
1:
$1.09
-
52In Stock
|
Mouser Part No
994-RFC0807B-275KE
|
Coilcraft
|
Power Inductors - Leaded 2.7 mH UnShld 10% 240mA 8ohms
|
|
52In Stock
|
|
Min.: 1
Mult.: 1
|
|
|
Wirewound
|
Radial
|
8.8 mm x 7.5 mm
|
Unshielded
|
2.7 mH
|
10 %
|
240 mA
|
8 Ohms
|
440 mA
|
- 40 C
|
+ 85 C
|
1.2 MHz
|
Standard
|
PCB Mount
|
7.5 mm
|
|
|
8.8 mm
|
Ferrite
|
|
RFC0807
|
Tray
|
|